[arch-commits] Commit in gstreamer0.10/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Oct 6 13:18:43 EDT 2008


    Date: Monday, October 6, 2008 @ 13:18:42
  Author: jgc
Revision: 14423

upgpkg: gstreamer0.10 0.10.21-1

Modified:
  gstreamer0.10/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-06 09:22:20 UTC (rev 14422)
+++ PKGBUILD	2008-10-06 17:18:42 UTC (rev 14423)
@@ -2,26 +2,26 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gstreamer0.10
-pkgver=0.10.20
+pkgver=0.10.21
 pkgrel=1
 pkgdesc="GStreamer Multimedia Framework"
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://gstreamer.freedesktop.org/"
-depends=('libxml2' 'glib2>=2.16.3')
+depends=('libxml2>=2.6.32' 'glib2>=2.18.1')
 makedepends=('perlxml' 'pkgconfig')
 options=('!libtool')
 source=(${url}/src/gstreamer/gstreamer-${pkgver}.tar.bz2)
-md5sums=('d5af70413a65ebf855f788f965685e2b')
+md5sums=('7bad90af3fd81a1535363cf85359125c')
 
 build() {
-  cd ${startdir}/src/gstreamer-${pkgver}
+  cd "${srcdir}/gstreamer-${pkgver}"
   ./configure --prefix=/usr \
 	--sysconfdir=/etc --localstatedir=/var \
 	--disable-docs-build || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  cd ${startdir}/pkg/usr/bin
+  make DESTDIR="${pkgdir}" install || return 1
+  cd "${pkgdir}/usr/bin"
 
   #Remove unversioned gst-* binaries to get rid of conflicts
   for bins in `ls *-0.10`; do




More information about the arch-commits mailing list